package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 交款方式
 *
 * @author: hzs
 */
@AllArgsConstructor
@Getter
public enum EPaymentType {

    /**
     * 银行卡
     */
    BANK_CARD(3, "转账", 0, EnumsPrefixConstants.PAYMENT_TYPE + "3"),

    /**
     * 现金
     */
    CASH(4, "现金", 0, EnumsPrefixConstants.PAYMENT_TYPE + "4"),

    /**
     * 特批
     */
    SPECIALLY_APPROVED(5, "特批", 0, EnumsPrefixConstants.PAYMENT_TYPE + "5"),

    /**
     * 活动
     */
    ACTIVITY(6, "活动", 0, EnumsPrefixConstants.PAYMENT_TYPE + "6"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    /**
     * 根据label获取枚举
     *
     * @param label
     * @return
     */
    public static EPaymentType getEnumByLabel(String label) {
        for (EPaymentType value : EPaymentType.values()) {
            if (value.getLabel().equals(label)) {
                return value;
            }
        }
        return null;
    }

}
